com.jscape.inet.finger

## Class FingerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.inet.finger.FingerException

- All Implemented Interfaces:
    java.io.Serializable

      public class FingerException
      extends java.lang.Exception

  FingerException is thrown by many methods of Finger class. The methods are masking various exception types into FingerException, but the event message will be propagated.

  In case that the cause for throwing FingerException is not exception but invalid client operation or server response, FingerException message will contain textual part of server response.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FingerException(java.lang.String message)` Creates exception with specified message string.
    `FingerException(java.lang.String message, java.lang.Throwable cause)` Creates exception with specified message string and source exception
    `FingerException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FingerException

          public FingerException(java.lang.String message)

      Creates exception with specified message string.
      Parameters:
        `message` - the message of exception

    - #### FingerException

          public FingerException(java.lang.String message,
                                 java.lang.Throwable cause)

      Creates exception with specified message string and source exception
      Parameters:
        `message` - the message of exception
        `cause` - the exception which caused this exception

    - #### FingerException

          public FingerException(java.lang.Throwable cause)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved